routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () { return view('pages.home');});

Route::resource('pacientes','PacientsController');
Route::resource('usuario','UsuarioController');

Route::group(['middleware'=>'auth'], function () {
	Route::get('permissions-all-users',['middleware'=>'check-permission:user|admin|superadmin','uses'=>'HomeController@allUsers']);
	Route::get('permissions-admin-superadmin',['middleware'=>'check-permission:admin|superadmin','uses'=>'HomeController@adminSuperadmin']);
	Route::get('permissions-superadmin',['middleware'=>'check-permission:superadmin','uses'=>'HomeController@superadmin']);
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

resources/views/pacientes/create.blade.php
@extends('layout.app')

@section('content')

<div class="container mt-5">
    <div class="card">
        <div class="card-header text-center">{{ __('Adicionar Pacientes') }}</div>
        <div class="card-body">
            <div class="row">

            </div>

            @if ($errors->any())
            <div class="alert alert-danger">
                <strong>Whoops!</strong> Algum problema com os dados informados.<br><br>
                <ul>
                    @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
            @endif

            <form action="{{ route('pacientes.store') }}" method="POST">
                @csrf

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Nome Completo:</strong>
                            <input type="text" id="nome" name="nome" required class="form-control" placeholder="Nome Completo">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>CPF:</strong>
                            <input type="text" id="cpf" name="cpf" required class="form-control" placeholder="CPF">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>Data Nascimento:</strong>
                            <input type="date" id="dt_nascimento" name="dt_nascimento" required class="form-control"
                                placeholder="Data de nascimento">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>E-mail:</strong>
                            <input type="text" id="email" name="email" required class="form-control" placeholder="E-Mail">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>Celular:</strong>
                            <input type="text" id="celular" name="celular" required class="form-control" placeholder="Celular">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>CEP:</strong>
                            <input type="text" id="cep" name="cep" required class="form-control" placeholder="CEP" onblur="pesquisacep(this.value)">
                        </div>
                    </div>
                    <div class="col-md-1"></div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>Logradouro:</strong>
                            <input type="text" id="logradouro" name="logradouro" required class="form-control" placeholder="Logradouro">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-2">
                        <div class="form-group">
                            <strong>Número:</strong>
                            <input type="text" id="numero" name="numero" required class="form-control" placeholder="Número">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-4">
                        <div class="form-group">
                            <strong>Complemento:</strong>
                            <input type="text" id="complemento" name="complemento" class="form-control" placeholder="Complemento">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>Bairro:</strong>
                            <input type="text" id="bairro" name="bairro" required class="form-control" placeholder="Bairro">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>Cidade:</strong>
                            <input type="text" name="cidade" id="cidade" required class="form-control" placeholder="Cidade">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>Estado:</strong>
                            <input type="text" name="estado" id="estado" required class="form-control" placeholder="Estado">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <strong>País:</strong>
                            <input type="text" name="pais" id="pais" required class="form-control" value="Brasil" disabled>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success">Salvar</button>
                            <a class="btn btn-primary" href="{{ route('pacientes.index') }}"> Voltar</a>
                        </div>
                    </div>
                </div>
                
               
               
            </form>
        </div>
    </div>
</div>

<script type="text/javascript">
             $(document).ready(function () {
                 
                 $('#cpf').mask('999.999.999-99');
                 $('#celular').mask('(99)99999-9999');
                 $('#cep').mask('99999-999');
                return false;
            });


            function pesquisacep(valor)
            {

                valor = valor.replace("-", "");
                //Nova variável "cep" somente com dígitos.
                var cep = valor.replace(/\D/g, '');

                //Verifica se campo cep possui valor informado.
                if (cep != "")
                {
                    //Expressão regular para validar o CEP.
                    var validacep = /^[0-9]{8}$/;

                    //Valida o formato do CEP.
                    if (validacep.test(cep))
                    {
                        //Cria um elemento javascript.
                        var script = document.createElement('script');
                        //Sincroniza com o callback.
                        script.src = 'https://viacep.com.br/ws/' + cep + '/json/?callback=meu_callback';
                        //Insere script no documento e carrega o conteúdo.
                        document.body.appendChild(script);
                    } //end if.
                    else
                    {
                        //cep é inválido.
                        limpa_formulário_cep();
                        alert("Formato de CEP inválido.");
                    }
                } //end if.
                else
                {
                    //cep sem valor, limpa formulário.
                    limpa_formulário_cep();
                }
            }

            function meu_callback(conteudo)
            {
                if (!("erro" in conteudo)) {
                    
                    //Atualiza os campos com os valores.
                    document.getElementsByName('logradouro')[0].value = (conteudo.logradouro);
                    document.getElementsByName('bairro')[0].value = (conteudo.bairro);
                    document.getElementsByName('cidade')[0].value = (conteudo.localidade);
                    document.getElementById("complemento").value = (conteudo.complemento);
                    document.getElementsByName('estado')[0].value = (conteudo.uf);
                  
                }  
                else
                {
                    limpa_formulário_cep();
                    alert("CEP não encontrado.");
                }
            }

            function limpa_formulário_cep()
            {
               document.getElementById("cep").value = "";
               document.getElementById("logradouro").value = "";
               document.getElementById("numero").value = "";
               document.getElementById("bairro").value = "";
               document.getElementById("complemento").value = "";
               document.getElementById("cidade").value = "";
               
            }

</script>

@endsection

resources/views/pacientes/edit.blade.php
@extends('layout.app')

@section('content')
<form action="{{ route('pacientes.update',$pessoa->id) }}" method="POST">
    @csrf
    @method('PUT')
<div class="container mt-5">
    <div class="card">
        <div class="card-header text-center">{{ __('Editar Pacientes') }}</div>
        <div class="card-body">
            <div class="row">
                @if ($errors->any())
                <div class="alert alert-danger">
                    <strong>Whoops!</strong> Algum problema com os dados informados.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
    
               
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Nome Completo:</strong>
                        <input type="text" id="nome" name="nome" class="form-control" placeholder="Nome completo" value="{{ $pessoa->nome }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>CPF:</strong>
                        <input type="text" id="cpf" name="cpf" required class="form-control" placeholder="CPF" value="{{ $pessoa->cpf }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Data Nascimento:</strong>
                        <input type="date" id="dt_nascimento" name="dt_nascimento" required class="form-control" placeholder="Data de Nascimento" value="{{ $pessoa->dt_nascimento }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>E-mail:</strong>
                        <input type="text" id="email" name="email" required class="form-control" placeholder="E-Mail" value="{{ $pessoa->email }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Celular:</strong>
                        <input type="text" id="celular" name="celular" required class="form-control" placeholder="Celular" value="{{ $pessoa->celular }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>CEP:</strong>
                        <input type="text" id="cep" name="cep" required class="form-control" placeholder="CEP" value="{{$endereco->cep}}" onblur="pesquisacep(this.value)">
                    </div>
                </div>
                <div class="col-md-1"></div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Logradouro:</strong>
                        <input type="text" id="logradouro" name="logradouro" required class="form-control" placeholder="Logradouro" value="{{ $endereco->logradouro }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-2">
                    <div class="form-group">
                        <strong>Número:</strong>
                        <input type="text" id="numero" name="numero" required class="form-control" placeholder="Número" value="{{ $endereco->numero }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-4">
                    <div class="form-group">
                        <strong>Complemento:</strong>
                        <input type="text" id="complemento" name="complemento" class="form-control" placeholder="Complemento"  value="{{ $endereco->complemento }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Bairro:</strong>
                        <input type="text" id="bairro" name="bairro" required class="form-control" placeholder="Bairro" value="{{ $endereco->bairro }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Cidade:</strong>
                        <input type="text" name="cidade" id="cidade" required class="form-control" placeholder="Cidade"  value="{{ $endereco->cidade }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Estado:</strong>
                        <input type="text" name="estado" id="estado" required class="form-control" placeholder="Estado"  value="{{ $endereco->estado }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>País:</strong>
                        <input type="text" name="pais" id="pais" required class="form-control" placeholder="País" value="{{ $endereco->pais }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <button type="submit" class="btn btn-success">Salvar</button>
                        <a class="btn btn-primary" href="{{ route('pacientes.index') }}"> Voltar</a>
                    </div>
                </div>
                
            </div>
        
        </div>
    </div>
</div>
</form>
<script type="text/javascript">
    $(document).ready(function () {
        
        $('#cpf').mask('999.999.999-99');
        $('#celular').mask('(99)99999-9999');
        $('#cep').mask('99999-999');
       return false;
   });

   function pesquisacep(valor)
            {

                valor = valor.replace("-", "");
                //Nova variável "cep" somente com dígitos.
                var cep = valor.replace(/\D/g, '');

                //Verifica se campo cep possui valor informado.
                if (cep != "")
                {
                    //Expressão regular para validar o CEP.
                    var validacep = /^[0-9]{8}$/;

                    //Valida o formato do CEP.
                    if (validacep.test(cep))
                    {
                        //Cria um elemento javascript.
                        var script = document.createElement('script');
                        //Sincroniza com o callback.
                        script.src = 'https://viacep.com.br/ws/' + cep + '/json/?callback=meu_callback';
                        //Insere script no documento e carrega o conteúdo.
                        document.body.appendChild(script);
                    } //end if.
                    else
                    {
                        //cep é inválido.
                        limpa_formulário_cep();
                        alert("Formato de CEP inválido.");
                    }
                } //end if.
                else
                {
                    //cep sem valor, limpa formulário.
                    limpa_formulário_cep();
                }
            }

            function meu_callback(conteudo)
            {
                if (!("erro" in conteudo)) {
                    
                    //Atualiza os campos com os valores.
                    document.getElementsByName('logradouro')[0].value = (conteudo.logradouro);
                    document.getElementsByName('bairro')[0].value = (conteudo.bairro);
                    document.getElementsByName('cidade')[0].value = (conteudo.localidade);
                    document.getElementById("complemento").value = (conteudo.complemento);
                    document.getElementsByName('estado')[0].value = (conteudo.uf);
                  
                }  
                else
                {
                    limpa_formulário_cep();
                    alert("CEP não encontrado.");
                }
            }

            function limpa_formulário_cep()
            {
               document.getElementById("cep").value = "";
               document.getElementById("logradouro").value = "";
               document.getElementById("numero").value = "";
               document.getElementById("bairro").value = "";
               document.getElementById("complemento").value = "";
               document.getElementById("cidade").value = "";
               
            }
</script>

@endsection

resources/views/pacientes/index.blade.php
@extends('layout.app')
 
@section('content')
<div class="container mt-5">
    <div class="card">
        <div class="card-header text-center">{{ __('Pacientes') }}</div>
        <div class="card-body">
    <div class="row">
        <div class="col-lg-12 margin-tb">
           
            <div class="pull-right  mt-4 mb-4">
                <a class="btn btn-success" href="{{ route('pacientes.create') }}"> Novo Paciente</a>
            </div>
        </div>
    </div>
   
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
    @if(count($pessoas) == 0)
            <div class="row">
                <div class="col-md-12 hscroll text-center">
                    <span>Não foram encontrados registros.</span>
                </div>
            </div>
            
            @elseif (count($pessoas) > 0)
    <table class="table table-bordered">
        <tr>
            <th>Nome</th>
            <th>E-Mail</th>
            <th>CPF</th>
            <th>Celular</th>
            <th>Ações</th>
        </tr>
        @foreach ($pessoas ?? '' as $pessoa)
        <tr>
            <td>{{ $pessoa->nome }}</td>
            <td>{{ $pessoa->email }}</td>
            <td>{{ $pessoa->cpf }}</td>
            <td>{{ $pessoa->celular }}</td>
            <td>
                <form id="form{{$pessoa->id}}" action="{{ route('pacientes.destroy',$pessoa->id) }}" method="POST">
                    @csrf
                    @method('DELETE')
      
                    
                    <a class="btn btn-info" href="{{ route('pacientes.show',$pessoa->id) }}">Detalhes</a>
                    <a class="btn btn-primary" href="{{ route('pacientes.edit',$pessoa->id) }}">Editar</a>
                    @if(checkPermission(['admin','superadmin']))

                    <a href="javascript:;" data-toggle="modal" onclick="deleteData({{$pessoa->id}})" data-target="#DeleteModal" class="btn btn-xs btn-danger">Remover</a>
                     
                    @endif
                </form>
            </td>
        </tr>
        @endforeach
    </table>
    <div id="DeleteModal" class="modal fade text-danger" role="dialog">
        <div class="modal-dialog ">
          <!-- Modal content-->
          <form action="{{ route('pacientes.destroy',$pessoa->id) }}" method="POST">
            @csrf
            @method('DELETE')

              <div class="modal-content">
                  <div class="modal-header bg-danger">
                      <!-- <button type="button" class="close" data-dismiss="modal">&times;</button> -->
                      <h4 class="modal-title text-center" style="color:white;">Remover paciente</h4>
                  </div>
                  <div class="modal-body">
               
                      <p class="text-center">Tem certeza que deseja remover o paciente <span id="nomeusuario" hidden></span> ?</p>
                  </div>
                  <div class="modal-footer text-center">
                      
                          <button type="button" class="btn btn-success" data-dismiss="modal">Cancelar</button>
                          <button type="button" class="btn btn-danger" onclick="submitform()">Remover</button>
                       
                  </div>
              </div>
          </form>
        </div>
       </div>
    </div>
    @endif
        
       
    {!! $pessoas ?? ''->links() !!}
</div> 
<script type="text/javascript">
    function deleteData(id)
    {
        $("#nomeusuario").html(id)
    }
    function submitform(id)
    {
        $("#form"+$("#nomeusuario").html()).submit();
    }
 </script>
@endsection

resources/views/pacientes/show.blade.php
@extends('layout.app')

@section('content')

<div class="container mt-5">
    <div class="card">
        <div class="card-header text-center">{{ __('Detalhes do Pacientes') }}</div>
        <div class="card-body">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="form-group">
                        <strong>Nome Completo:</strong>
                        <input type="text" id="nome" name="nome" class="form-control" disabled value="{{ $pessoa->nome }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>CPF:</strong>
                        <input type="text" id="cpf" name="cpf" required class="form-control" disabled value="{{ $pessoa->cpf }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Data Nascimento:</strong>
                        <input type="date" id="dt_nascimento" name="dt_nascimento" required class="form-control" disabled value="{{ $pessoa->dt_nascimento }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>E-mail:</strong>
                        <input type="text" id="email" name="email" required class="form-control" disabled value="{{ $pessoa->email }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Celular:</strong>
                        <input type="text" id="celular" name="celular" required class="form-control" disabled value="{{ $pessoa->celular }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>CEP:</strong>
                        <input type="text" id="cep" name="cep" required class="form-control" value="{{$endereco->cep}}" disabled>
                    </div>
                </div>
                <div class="col-md-1"></div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Logradouro:</strong>
                        <input type="text" id="logradouro" name="logradouro" required class="form-control"  disabled value="{{ $endereco->logradouro }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-2">
                    <div class="form-group">
                        <strong>Número:</strong>
                        <input type="text" id="numero" name="numero" required class="form-control" disabled value="{{ $endereco->numero }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-4">
                    <div class="form-group">
                        <strong>Complemento:</strong>
                        <input type="text" id="complemento" name="complemento" required class="form-control" disabled value="{{ $endereco->complemento }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Bairro:</strong>
                        <input type="text" id="bairro" name="bairro" required class="form-control" disabled value="{{ $endereco->bairro }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Cidade:</strong>
                        <input type="text" name="cidade" id="cidade" required class="form-control" disabled value="{{ $endereco->cidade }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>Estado:</strong>
                        <input type="text" name="estado" id="estado" required class="form-control" disabled value="{{ $endereco->estado }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <strong>País:</strong>
                        <input type="text" name="pais" id="pais" required class="form-control" disabled value="{{ $endereco->pais }}">
                    </div>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-6">
                    <div class="form-group">
                        <a class="btn btn-primary" href="{{ route('pacientes.index') }}"> Voltar</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        
        $('#cpf').mask('999.999.999-99');
        $('#celular').mask('(99)99999-9999');
        $('#cep').mask('99999-999');
       return false;
   });
</script>

@endsection